%define	_default_patch_fuzz 3
Summary:	Program to read and convert Paradox DB files
Name:		pxview
Version:	0.2.5
Release:	18.2
License:	see doc/COPYING
Group:		Applications/Utils
Url:		http://pxlib.sourceforge.net/
Source:		http://prdownloads.sourceforge.net/pxlib/%{name}-%{version}.tar.bz2
Patch0:		pxview-sqlite3.patch
Patch1:		pxview-sqlite3-backticks.patch
Patch2:		pxview-backticks.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Prefix: /usr
BuildRequires:	gcc-c++ libpx-devel perl-XML-Parser docbook-to-man intltool autoconf automake gettext-devel glib2-devel

%if 0%{?suse_version} >= 1110
BuildRequires:          sqlite-devel
%else
BuildRequires:          sqlite2-devel
%endif


%description
pxview is a simple program based on pxlib to read and convert Paradox DB files.
Possible conversions are to csv and sql. pxview can also read blob data and
write each object to a single file.

%debug_package

%prep
%setup
%if 0%{?suse_version} >= 1110
%patch0 -p1
%patch1 -p1
%else
%patch2 -p1
%endif


%build
%if 0%{?suse_version} >= 1110
autoreconf -fi
./autogen.sh
%endif
%configure --with-sqlite LIBS="-lm" || cat config.log
make

%install
rm -rf ${RPM_BUILD_ROOT}
install -d -m 755 ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install
(cd ${RPM_BUILD_ROOT}/usr/bin; ln -s pxview px2sql; ln -s pxview px2csv; ln -s pxview px2html; ln -s pxview px2sqlite)

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%doc README AUTHORS ChangeLog COPYING INSTALL
%{_bindir}/*
%{_mandir}/man1/*
%{_datadir}/locale/*/LC_MESSAGES/pxview.mo

%changelog
* Wed Jan 02 2008 Carsten Schoene <cs@linux-administrator.com> - 0.2.5
- initial build

